Package org.eclipse.rdf4j.query

## Class UnsupportedQueryLanguageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.query.UnsupportedQueryLanguageException

- All Implemented Interfaces:
    `Serializable`

      public class UnsupportedQueryLanguageException
      extends RuntimeException

  A RuntimeException indicating that a specific query language is not supported. A typical cause of this exception is that the class library for the specified query language is not present in the classpath.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedQueryLanguageException​(String msg)` | Creates a new UnsupportedRDFormatException.
    `UnsupportedQueryLanguageException​(String msg, Throwable cause)` | Creates a new UnsupportedRDFormatException wrapping another exception.
    `UnsupportedQueryLanguageException​(Throwable cause)` | Creates a new UnsupportedRDFormatException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedQueryLanguageException

          public UnsupportedQueryLanguageException​(String msg)

      Creates a new UnsupportedRDFormatException.
      Parameters:
        `msg` - An error message.

    - #### UnsupportedQueryLanguageException

          public UnsupportedQueryLanguageException​(Throwable cause)

      Creates a new UnsupportedRDFormatException.
      Parameters:
        `cause` - The cause of the exception.

    - #### UnsupportedQueryLanguageException

          public UnsupportedQueryLanguageException​(String msg,
                                                   Throwable cause)

      Creates a new UnsupportedRDFormatException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `cause` - The cause of the exception.